<?php
/**
 * @file
 * sc_drupalreference.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function sc_drupalreference_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_microdata_mappings_defaults().
 */
function sc_drupalreference_microdata_mappings_defaults() {
  $microdata_mappings = array();

  // Exported Microdata mapping: drupal_full_projects
  $microdata_mappings['taxonomy_term']['drupal_full_projects'] = array(
    '#itemtype' => array(
      0 => 'http://schema.org/Article',
    ),
    'title' => array(
      '#itemprop' => array(),
    ),
    '#is_item' => TRUE,
    '#itemid_token' => '[term:web_tid]',
    'description' => array(
      '#itemprop' => '',
    ),
    'url' => array(
      '#itemprop' => '',
    ),
  );

  return $microdata_mappings;
}
