<?php
/**
 * @file
 * sc_example_collection_layout.ds.inc
 */

/**
 * Implements hook_ds_layout_settings_info().
 */
function sc_example_collection_layout_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|sc_resource_collection|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'sc_resource_collection';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'sc_2col';
  $ds_layout->settings = array(
    'hide_empty_regions' => 0,
    'hide_sidebars' => 0,
    'regions' => array(
      'left' => array(
        0 => 'sc_resource_description',
        1 => 'sc_collection_resources_entity_view_1',
      ),
      'right' => array(
        0 => 'sc_resource_topics',
        1 => 'field_drupal_project',
        2 => 'sc_resource_vote_correct',
        3 => 'sc_resource_vote_clear',
        4 => 'sc_resource_vote_entertaining',
        5 => 'links',
      ),
    ),
    'fields' => array(
      'sc_resource_description' => 'left',
      'sc_collection_resources_entity_view_1' => 'left',
      'sc_resource_topics' => 'right',
      'field_drupal_project' => 'right',
      'sc_resource_vote_correct' => 'right',
      'sc_resource_vote_clear' => 'right',
      'sc_resource_vote_entertaining' => 'right',
      'links' => 'right',
    ),
    'classes' => array(),
  );
  $export['node|sc_resource_collection|default'] = $ds_layout;

  return $export;
}
