<?php
/**
 * @file
 * sc_resource_external.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function sc_resource_external_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function sc_resource_external_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function sc_resource_external_node_info() {
  $items = array(
    'sc_resource_external' => array(
      'name' => t('External learning resource'),
      'base' => 'node_content',
      'description' => t('External learning resources only contain a description and a reference to an external page. As all learning resources, they should relate to one or more topics.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  return $items;
}
