<?php
/**
 * @file
 * sc_resource_flag.features.inc
 */

/**
 * Implements hook_flag_default_flags().
 */
function sc_resource_flag_flag_default_flags() {
  $flags = array();
  // Exported flag: "Resource completed".
  $flags['sc_resource_completed'] = array(
    'content_type' => 'node',
    'title' => 'Resource completed',
    'global' => '0',
    'types' => array(
      0 => 'sc_resource_collection',
      1 => 'sc_resource_external',
    ),
    'flag_short' => 'Mark completed',
    'flag_long' => 'Click here to note that you have worked your way through this learning resource.',
    'flag_message' => 'Way to go!',
    'unflag_short' => 'Completed!',
    'unflag_long' => 'Click here to no longer mark this resource as completed.',
    'unflag_message' => '',
    'unflag_denied_text' => '',
    'link_type' => 'toggle',
    'roles' => array(
      'flag' => array(
        0 => '2',
      ),
      'unflag' => array(
        0 => '2',
      ),
    ),
    'show_on_page' => 1,
    'show_on_teaser' => 1,
    'show_on_form' => 0,
    'access_author' => '',
    'i18n' => 0,
    'module' => 'sc_resource_flag',
    'locked' => array(
      0 => 'name',
    ),
    'api_version' => 2,
  );
  // Exported flag: "Resource quicklist".
  $flags['sc_resource_quicklist'] = array(
    'content_type' => 'node',
    'title' => 'Resource quicklist',
    'global' => '0',
    'types' => array(
      0 => 'sc_resource_collection',
      1 => 'sc_resource_external',
    ),
    'flag_short' => 'Add to quicklist',
    'flag_long' => 'Add this resource to your personal list',
    'flag_message' => 'Added!',
    'unflag_short' => 'In your quicklist',
    'unflag_long' => 'Click to remove from list',
    'unflag_message' => 'Removed',
    'unflag_denied_text' => '',
    'link_type' => 'toggle',
    'roles' => array(
      'flag' => array(
        0 => '2',
      ),
      'unflag' => array(
        0 => '2',
      ),
    ),
    'show_on_page' => 1,
    'show_on_teaser' => 1,
    'show_on_form' => 0,
    'access_author' => '',
    'i18n' => 0,
    'api_version' => 2,
    'module' => 'sc_resource_flag',
    'locked' => array(
      0 => 'name',
    ),
  );
  return $flags;
}
