<?php
/**
 * @file
 * sc_resource_collection.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function sc_resource_collection_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function sc_resource_collection_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function sc_resource_collection_node_info() {
  $items = array(
    'sc_resource_collection' => array(
      'name' => t('Resource collection'),
      'base' => 'node_content',
      'description' => t('Resource collections are lists of learning resources, used to collect resources you think are useful in a sequence.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  return $items;
}
